Respondent data fields list
Fetches a list of available respondent data fields that is on a quest. Respondent data fields can be used to connect data to an invitation.
Path Parameters
- Type: stringFormat: uuidquest
Id requiredA unique id for a quest.
Query Parameters
- Type: stringSkip
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to skip before retrieving results. Used with parameter 'Take' for pagination.
Minimum value: 0 - Type: stringTake
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of items to retrieve after skipping. Used with parameter 'Skip' for pagination.
Minimum value: 0
Maximum value: 1000
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- 414
URI Too Long
- application/problem+json
- 431
Request Header Fields Too Large
- application/problem+json
Request Example for get/v1/quests/{questId}/respondentdatafields
curl 'https://api.questback.com/v1/quests/123e4567-e89b-12d3-a456-426614174000/respondentdatafields?Skip=&Take='
[
{
"fieldId": "019589a0-551a-72bc-831a-c4f39a817bf2",
"fieldName": "FullName",
"type": "GENERIC",
"discreteValues": false,
"personalData": false
},
{
"fieldId": "019589a0-551a-7cb0-994d-17cd4469a68b",
"fieldName": "Department",
"type": "GENERIC",
"discreteValues": true,
"personalData": false
},
{
"fieldId": "019589a0-551a-759a-99af-637667e7e9e9",
"fieldName": "email",
"type": "EMAIL",
"discreteValues": false,
"personalData": true
}
]